| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CompleteElementDetail Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CompleteElementDetail defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CompleteElementDetail ()
| Default constructor.
eProsima_user_DllExport | ~CompleteElementDetail ()
| Default destructor.
eProsima_user_DllExport | CompleteElementDetail (const CompleteElementDetail &x)
| Copy constructor.
eProsima_user_DllExport | CompleteElementDetail (CompleteElementDetail &&x) noexcept
| Move constructor.
eProsima_user_DllExport CompleteElementDetail & | operator= (const CompleteElementDetail &x)
| Copy assignment.
eProsima_user_DllExport CompleteElementDetail & | operator= (CompleteElementDetail &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CompleteElementDetail &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CompleteElementDetail &x) const
| Comparison operator.
eProsima_user_DllExport void | ann_builtin (const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &_ann_builtin)
| This function copies the value in member ann_builtin.
eProsima_user_DllExport void | ann_builtin (eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > &&_ann_builtin)
| This function moves the value in member ann_builtin.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin () const
| This function returns a constant reference to member ann_builtin.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | ann_builtin ()
| This function returns a reference to member ann_builtin.
eProsima_user_DllExport void | ann_custom (const eprosima::fastcdr::optional< AppliedAnnotationSeq > &_ann_custom)
| This function copies the value in member ann_custom.
eProsima_user_DllExport void | ann_custom (eprosima::fastcdr::optional< AppliedAnnotationSeq > &&_ann_custom)
| This function moves the value in member ann_custom.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom () const
| This function returns a constant reference to member ann_custom.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationSeq > & | ann_custom ()
| This function returns a reference to member ann_custom.

## Detailed Description

This class represents the structure CompleteElementDetail defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CompleteElementDetail() [1/3]

eProsima_user_DllExport CompleteElementDetail | ( |  | ) |

inline

Default constructor.

## ◆ ~CompleteElementDetail()

eProsima_user_DllExport ~CompleteElementDetail | ( |  | ) |

inline

Default destructor.

## ◆ CompleteElementDetail() [2/3]

eProsima_user_DllExport CompleteElementDetail | ( | const CompleteElementDetail & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CompleteElementDetail that will be copied.

## ◆ CompleteElementDetail() [3/3]

eProsima_user_DllExport CompleteElementDetail | ( | CompleteElementDetail && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CompleteElementDetail that will be copied.

## Member Function Documentation

## ◆ ann_builtin() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & ann_builtin | ( |  | ) |

inline

This function returns a reference to member ann_builtin.

Returns
  Reference to member ann_builtin

## ◆ ann_builtin() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & ann_builtin | ( |  | ) | const

inline

This function returns a constant reference to member ann_builtin.

Returns
  Constant reference to member ann_builtin

## ◆ ann_builtin() [3/4]

eProsima_user_DllExport void ann_builtin | ( | const eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > & | _ann_builtin | ) |

inline

This function copies the value in member ann_builtin.

Parameters

  _ann_builtin | New value to be copied in member ann_builtin

## ◆ ann_builtin() [4/4]

eProsima_user_DllExport void ann_builtin | ( | eprosima::fastcdr::optional< AppliedBuiltinMemberAnnotations > && | _ann_builtin | ) |

inline

This function moves the value in member ann_builtin.

Parameters

  _ann_builtin | New value to be moved in member ann_builtin

## ◆ ann_custom() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedAnnotationSeq > & ann_custom | ( |  | ) |

inline

This function returns a reference to member ann_custom.

Returns
  Reference to member ann_custom

## ◆ ann_custom() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedAnnotationSeq > & ann_custom | ( |  | ) | const

inline

This function returns a constant reference to member ann_custom.

Returns
  Constant reference to member ann_custom

## ◆ ann_custom() [3/4]

eProsima_user_DllExport void ann_custom | ( | const eprosima::fastcdr::optional< AppliedAnnotationSeq > & | _ann_custom | ) |

inline

This function copies the value in member ann_custom.

Parameters

  _ann_custom | New value to be copied in member ann_custom

## ◆ ann_custom() [4/4]

eProsima_user_DllExport void ann_custom | ( | eprosima::fastcdr::optional< AppliedAnnotationSeq > && | _ann_custom | ) |

inline

This function moves the value in member ann_custom.

Parameters

  _ann_custom | New value to be moved in member ann_custom

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CompleteElementDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteElementDetail object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CompleteElementDetail & operator= | ( | CompleteElementDetail && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CompleteElementDetail that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CompleteElementDetail & operator= | ( | const CompleteElementDetail & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CompleteElementDetail that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CompleteElementDetail & | x | ) | const

inline

Comparison operator.

Parameters

  x | CompleteElementDetail object to compare.

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp